Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
chronos@localhost ~/Downloads $ sudo enter-chroot
Password:
Enter encryption passphrase for trusty:
Entering /mnt/stateful_partition/crouton/chroots/trusty...
A chroot setup script still exists inside the chroot.
The chroot may not be fully set up.
Would you like to finish the setup? [Y/n/d] Y
Preparing chroot environment...
Installing target core...
Preparing environment...
Preparing software sources...
Ign http://archive.ubuntu.com trusty InRelease
Get:1 http://archive.ubuntu.com trusty-updates InRelease [65.9 kB]
Get:2 http://archive.ubuntu.com trusty-security InRelease [65.9 kB]
Hit http://archive.ubuntu.com trusty Release.gpg
Get:3 http://archive.ubuntu.com trusty-updates/main Sources [383 kB]
Get:4 http://archive.ubuntu.com trusty-updates/restricted Sources [5360 B]
Get:5 http://archive.ubuntu.com trusty-updates/universe Sources [166 kB]
Get:6 http://archive.ubuntu.com trusty-updates/multiverse Sources [7520 B]
Get:7 http://archive.ubuntu.com trusty-updates/main amd64 Packages [901 kB]
Get:8 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [15.9 kB]
Get:9 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [376 kB]
Get:10 http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages [15.0 kB]
Get:11 http://archive.ubuntu.com trusty-updates/main i386 Packages [861 kB]
Get:12 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [15.6 kB]
Get:13 http://archive.ubuntu.com trusty-updates/universe i386 Packages [377 kB]
Get:14 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [15.5 kB]
Get:15 http://archive.ubuntu.com trusty-updates/main Translation-en [437 kB]
Get:16 http://archive.ubuntu.com trusty-updates/multiverse Translation-en [7931 B]
Get:17 http://archive.ubuntu.com trusty-updates/restricted Translation-en [3699 B]
Get:18 http://archive.ubuntu.com trusty-updates/universe Translation-en [199 kB]
Get:19 http://archive.ubuntu.com trusty-security/main Sources [120 kB]
Get:20 http://archive.ubuntu.com trusty-security/restricted Sources [4064 B]
Get:21 http://archive.ubuntu.com trusty-security/universe Sources [43.6 kB]
Get:22 http://archive.ubuntu.com trusty-security/multiverse Sources [3190 B]
Get:23 http://archive.ubuntu.com trusty-security/main amd64 Packages [531 kB]
Get:24 http://archive.ubuntu.com trusty-security/restricted amd64 Packages [13.0 kB]
Get:25 http://archive.ubuntu.com trusty-security/universe amd64 Packages [138 kB]
Get:26 http://archive.ubuntu.com trusty-security/multiverse amd64 Packages [5198 B]
Get:27 http://archive.ubuntu.com trusty-security/main i386 Packages [493 kB]
Get:28 http://archive.ubuntu.com trusty-security/restricted i386 Packages [12.7 kB]
Get:29 http://archive.ubuntu.com trusty-security/universe i386 Packages [138 kB]
Get:30 http://archive.ubuntu.com trusty-security/multiverse i386 Packages [5339 B]
Hit http://archive.ubuntu.com trusty-security/main Translation-en
Hit http://archive.ubuntu.com trusty-security/multiverse Translation-en
Hit http://archive.ubuntu.com trusty-security/restricted Translation-en
Hit http://archive.ubuntu.com trusty-security/universe Translation-en
Hit http://archive.ubuntu.com trusty Release
Hit http://archive.ubuntu.com trusty/main Sources
Hit http://archive.ubuntu.com trusty/restricted Sources
Hit http://archive.ubuntu.com trusty/universe Sources
Hit http://archive.ubuntu.com trusty/multiverse Sources
Hit http://archive.ubuntu.com trusty/main amd64 Packages
Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty/universe amd64 Packages
Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
Hit http://archive.ubuntu.com trusty/main i386 Packages
Hit http://archive.ubuntu.com trusty/restricted i386 Packages
Hit http://archive.ubuntu.com trusty/universe i386 Packages
Hit http://archive.ubuntu.com trusty/multiverse i386 Packages
Hit http://archive.ubuntu.com trusty/main Translation-en
Hit http://archive.ubuntu.com trusty/multiverse Translation-en
Hit http://archive.ubuntu.com trusty/restricted Translation-en
Hit http://archive.ubuntu.com trusty/universe Translation-en
Fetched 5424 kB in 17s (316 kB/s)
Reading package lists... Done
Ensuring system is up-to-date...
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
libasound2-dev:i386 libboost-system1.54.0 libc6-dev:i386 libdrm-amdgpu1
libdrm-dev libmirclient-dev libmirclient7 libmirclientplatform-mesa
libmirprotobuf-dev libmirprotobuf0 libpciaccess-dev libpixman-1-dev
libprotobuf-dev libprotobuf-lite8 libprotobuf8 libspeex-dev:i386
libspeex1:i386 libspeexdsp-dev:i386 libxdamage-dev libxkbfile-dev
libxtst-dev linux-libc-dev:i386 mesa-common-dev mircommon-dev
x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev x11proto-fonts-dev
x11proto-gl-dev x11proto-present-dev x11proto-randr-dev x11proto-record-dev
x11proto-render-dev x11proto-resource-dev x11proto-scrnsaver-dev
x11proto-video-dev x11proto-xf86bigfont-dev x11proto-xf86dga-dev
x11proto-xf86dri-dev x11proto-xinerama-dev xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
apt-transport-https is already the newest version.
ca-certificates is already the newest version.
sudo is already the newest version.
wget is already the newest version.
The following packages were automatically installed and are no longer required:
libasound2-dev:i386 libboost-system1.54.0 libc6-dev:i386 libdrm-amdgpu1
libdrm-dev libmirclient-dev libmirclient7 libmirclientplatform-mesa
libmirprotobuf-dev libmirprotobuf0 libpciaccess-dev libpixman-1-dev
libprotobuf-dev libprotobuf-lite8 libprotobuf8 libspeex-dev:i386
libspeex1:i386 libspeexdsp-dev:i386 libxdamage-dev libxkbfile-dev
libxtst-dev linux-libc-dev:i386 mesa-common-dev mircommon-dev
x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev x11proto-fonts-dev
x11proto-gl-dev x11proto-present-dev x11proto-randr-dev x11proto-record-dev
x11proto-render-dev x11proto-resource-dev x11proto-scrnsaver-dev
x11proto-video-dev x11proto-xf86bigfont-dev x11proto-xf86dga-dev
x11proto-xf86dri-dev x11proto-xinerama-dev xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Generating locales...
en_US.UTF-8... up-to-date
Generation complete.
Generating locales...
en_US.UTF-8... up-to-date
Generation complete.
Syncing timezone...
Installing target audio...
Fetching CRAS (branch f9354dd7aeb4842b42204e8b4cb89ee2f0a4c5c8)...
--2016-09-29 16:55:56-- https://chromium.googlesource.com/chromiumos/third_party/adhd/+archive/f9354dd7aeb4842b42204e8b4cb89ee2f0a4c5c8.tar.gz
Resolving chromium.googlesource.com (chromium.googlesource.com)... 74.125.31.82, 2607:f8b0:400c:c11::52
Connecting to chromium.googlesource.com (chromium.googlesource.com)|74.125.31.82|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [application/x-gzip]
Saving to: '/tmp/crouton-cras.4SJNUf/adhd.tar.gz'
0K .......... .......... .......... .......... .......... 445K
50K .......... .......... .......... .......... .......... 1.17M
100K .......... .......... .......... .......... .......... 1.47M
150K .......... .......... .......... .......... .......... 2.17M
200K .......... .......... .......... .......... .......... 1.63M
250K .......... .......... .......... .......... .......... 2.31M
300K .......... .......... .......... .......... .......... 1.40M
350K .......... .......... .......... .......... .......... 2.27M
400K .......... .......... .......... .......... .......... 1.80M
450K .......... .......... .......... .......... .......... 2.30M
500K .......... .......... .......... .......... .......... 1.75M
550K .......... .......... .......... .. 1.38M=0.4s
2016-09-29 16:55:56 (1.37 MB/s) - '/tmp/crouton-cras.4SJNUf/adhd.tar.gz' saved [596930]
Reading package lists... Done
Building dependency tree
Reading state information... Done
alsa-utils is already the newest version.
libasound2:i386 is already the newest version.
libspeexdsp1:i386 is already the newest version.
The following packages were automatically installed and are no longer required:
libasound2-dev:i386 libboost-system1.54.0 libc6-dev:i386 libdrm-amdgpu1
libdrm-dev libmirclient-dev libmirclient7 libmirclientplatform-mesa
libmirprotobuf-dev libmirprotobuf0 libpciaccess-dev libpixman-1-dev
libprotobuf-dev libprotobuf-lite8 libprotobuf8 libspeex-dev:i386
libspeex1:i386 libspeexdsp-dev:i386 libxdamage-dev libxkbfile-dev
libxtst-dev linux-libc-dev:i386 mesa-common-dev mircommon-dev
x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev x11proto-fonts-dev
x11proto-gl-dev x11proto-present-dev x11proto-randr-dev x11proto-record-dev
x11proto-render-dev x11proto-resource-dev x11proto-scrnsaver-dev
x11proto-video-dev x11proto-xf86bigfont-dev x11proto-xf86dga-dev
x11proto-xf86dri-dev x11proto-xinerama-dev xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
gcc-multilib is already the newest version.
gcc-multilib set to manually installed.
pkg-config is already the newest version.
libspeexdsp-dev:i386 is already the newest version.
libspeexdsp-dev:i386 set to manually installed.
libc6-dev:i386 is already the newest version.
libc6-dev:i386 set to manually installed.
The following packages were automatically installed and are no longer required:
libasound2-dev:i386 libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev
libmirclient-dev libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev
libmirprotobuf0 libpciaccess-dev libpixman-1-dev libprotobuf-dev
libprotobuf-lite8 libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev
mesa-common-dev mircommon-dev x11proto-damage-dev x11proto-dri2-dev
x11proto-dri3-dev x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev
x11proto-randr-dev x11proto-record-dev x11proto-render-dev
x11proto-resource-dev x11proto-scrnsaver-dev x11proto-video-dev
x11proto-xf86bigfont-dev x11proto-xf86dga-dev x11proto-xf86dri-dev
x11proto-xinerama-dev xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
libasound2-dev:i386 is already the newest version.
libasound2-dev:i386 set to manually installed.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
patch is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Compiling CRAS (i386)...
Installing CRAS...
Reading package lists... Done
Building dependency tree
Reading state information... Done
alsa-utils is already the newest version.
libasound2 is already the newest version.
libspeexdsp1 is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
libspeexdsp-dev is already the newest version.
pkg-config is already the newest version.
libc6-dev is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
libasound2-dev is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
patch is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Compiling CRAS (native)...
Installing CRAS...
Installing target extension...
Reading package lists... Done
Building dependency tree
Reading state information... Done
x11-utils is already the newest version.
xclip is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Installing dependencies for /usr/local/bin/croutonwebsocket...
Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
libc6-dev is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Compiling /usr/local/bin/croutonwebsocket...
Installing target xiwi...
Canceled hold on xserver-xorg-video-dummy.
Reading package lists... Done
Building dependency tree
Reading state information... Done
xserver-xorg-video-dummy is already the newest version.
xorg is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
i3 is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxdamage-dev libxkbfile-dev libxtst-dev mesa-common-dev
mircommon-dev x11proto-damage-dev x11proto-dri2-dev x11proto-dri3-dev
x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev x11proto-randr-dev
x11proto-record-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Installing dependencies for /usr/local/bin/croutonfbserver...
Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
libx11-dev is already the newest version.
libxdamage-dev is already the newest version.
libxdamage-dev set to manually installed.
libxtst-dev is already the newest version.
libxtst-dev set to manually installed.
libc6-dev is already the newest version.
libxext-dev is already the newest version.
libxext-dev set to manually installed.
libxfixes-dev is already the newest version.
libxfixes-dev set to manually installed.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxkbfile-dev mesa-common-dev mircommon-dev x11proto-dri2-dev
x11proto-dri3-dev x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev
x11proto-randr-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Compiling /usr/local/bin/croutonfbserver...
Installing dependencies for /usr/local/bin/croutonfindnacld...
Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
libc6-dev is already the newest version.
The following packages were automatically installed and are no longer required:
libboost-system1.54.0 libdrm-amdgpu1 libdrm-dev libmirclient-dev
libmirclient7 libmirclientplatform-mesa libmirprotobuf-dev libmirprotobuf0
libpciaccess-dev libpixman-1-dev libprotobuf-dev libprotobuf-lite8
libprotobuf8 libxkbfile-dev mesa-common-dev mircommon-dev x11proto-dri2-dev
x11proto-dri3-dev x11proto-fonts-dev x11proto-gl-dev x11proto-present-dev
x11proto-randr-dev x11proto-render-dev x11proto-resource-dev
x11proto-scrnsaver-dev x11proto-video-dev x11proto-xf86bigfont-dev
x11proto-xf86dga-dev x11proto-xf86dri-dev x11proto-xinerama-dev
xserver-xorg-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Compiling /usr/local/bin/croutonfindnacld...
Download Xorg dummy driver...
--2016-09-29 16:56:46-- http://xorg.freedesktop.org/releases/individual/driver//xf86-video-dummy-0.3.7.tar.gz
Resolving xorg.freedesktop.org (xorg.freedesktop.org)... 131.252.210.176, 2610:10:20:722:a800:ff:feda:470f
Connecting to xorg.freedesktop.org (xorg.freedesktop.org)|131.252.210.176|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: https://www.x.org/releases/individual/driver//xf86-video-dummy-0.3.7.tar.gz [following]
--2016-09-29 16:56:46-- https://www.x.org/releases/individual/driver//xf86-video-dummy-0.3.7.tar.gz
Resolving www.x.org (www.x.org)... 131.252.210.176, 2610:10:20:722:a800:ff:feda:470f
Connecting to www.x.org (www.x.org)|131.252.210.176|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 346888 (339K) [application/x-gzip]
Saving to: '/tmp/crouton-cras.BwADz4/dummy.tar.gz'
100%[===========================================================================================================>] 346,888 727KB/s in 0.5s
2016-09-29 16:56:47 (727 KB/s) - '/tmp/crouton-cras.BwADz4/dummy.tar.gz' saved [346888/346888]
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'libc6-dev' instead of 'libc-dev'
gcc is already the newest version.
pkg-config is already the newest version.
x11proto-xf86dga-dev is already the newest version.
x11proto-xf86dga-dev set to manually installed.
libc6-dev is already the newest version.
patch is already the newest version.
xserver-xorg-dev is already the newest version.
xserver-xorg-dev set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Patching Xorg dummy driver (xrandr 1.2 support)...
patching file src/dummy_driver.c
Compiling Xorg dummy driver...
Installing Xorg dummy driver...
xserver-xorg-video-dummy set on hold.
Installing dependencies for /usr/local/bin/croutonwmtools...
Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
libx11-dev is already the newest version.
libc6-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Compiling /usr/local/bin/croutonwmtools...
Installing dependencies for /usr/local/bin/croutonxi2event...
Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
libx11-dev is already the newest version.
libc6-dev is already the newest version.
libxi-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Compiling /usr/local/bin/croutonxi2event...
Reading package lists... Done
Building dependency tree
Reading state information... Done
dbus is already the newest version.
xdg-utils is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
dmz-cursor-theme is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
bsdmainutils is already the newest version.
kbd is already the newest version.
xautomation is already the newest version.
xbindkeys is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Installing target gtk-extra...
ar: creating /tmp/crouton.OcswZ7/crouton-network-manager.deb
(Reading database ... 46032 files and directories currently installed.)
Preparing to unpack .../crouton-network-manager.deb ...
Unpacking crouton-network-manager (0) over (0) ...
Setting up crouton-network-manager (0) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
gksu is already the newest version.
netsurf-gtk is already the newest version.
gdebi is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Installing target xfce...
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'dictionaries-common' is not installed, so not removed
Package 'hddtemp' is not installed, so not removed
shimmer-themes is already the newest version.
xfce4 is already the newest version.
xfce4-goodies is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Installing target cli-extra...
Reading package lists... Done
Building dependency tree
Reading state information... Done
kbd is already the newest version.
dbus is already the newest version.
The following extra packages will be installed:
libedit2
Suggested packages:
ssh-askpass libpam-ssh keychain monkeysphere
The following NEW packages will be installed:
libedit2 openssh-client
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 651 kB of archives.
After this operation, 3764 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ trusty/main libedit2 amd64 3.1-20130712-2 [86.7 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty-updates/main openssh-client amd64 1:6.6p1-2ubuntu2.8 [564 kB]
Fetched 651 kB in 0s (791 kB/s)
Selecting previously unselected package libedit2:amd64.
(Reading database ... 46032 files and directories currently installed.)
Preparing to unpack .../libedit2_3.1-20130712-2_amd64.deb ...
Unpacking libedit2:amd64 (3.1-20130712-2) ...
Selecting previously unselected package openssh-client.
Preparing to unpack .../openssh-client_1%3a6.6p1-2ubuntu2.8_amd64.deb ...
Unpacking openssh-client (1:6.6p1-2ubuntu2.8) ...
Setting up libedit2:amd64 (3.1-20130712-2) ...
Setting up openssh-client (1:6.6p1-2ubuntu2.8) ...
Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
Installing target keyboard...
xkb-data was already not hold.
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/294 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 46082 files and directories currently installed.)
Preparing to unpack .../xkb-data_2.10.1-1ubuntu1_all.deb ...
Unpacking xkb-data (2.10.1-1ubuntu1) over (2.10.1-1ubuntu1) ...
Setting up xkb-data (2.10.1-1ubuntu1) ...
xkb-data set on hold.
Installing target post-common...
Cleaning up...
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Please specify a username for the primary user: kjleitz
Enter new UNIX password:
Retype new UNIX password:
passwd: password updated successfully
Here's some tips:
Audio from the chroot will now be forwarded to CRAS (Chromium OS audio server),
through an ALSA plugin.
Future Chromium OS upgrades may break compatibility with the installed version
of CRAS. Should this happen, simply update your chroot.
You already have the Chromium OS extension installed, so you're good to go!
You can open your running chroot desktops by clicking on the extension icon.
Once in a crouton window, press fullscreen or the "switch window" key to switch
back to Chromium OS.
You can launch individual apps in crouton windows by using the "xiwi" command
in the chroot shell. Use startxiwi to launch directly from the host shell.
Use the startxiwi parameter -b to run in the background.
Example: sudo startxiwi -b xterm
You can start Xfce via the startxfce4 host command: sudo startxfce4
You can start a shell in a new VT via the startcli host command: sudo startcli
Setup completed. Entering chroot...
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.